> ## Documentation Index
> Fetch the complete documentation index at: https://docs.composo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Traces Endpoint



## OpenAPI

````yaml https://platform.composo.ai/api/evals-docs/openapi.json get /api/v1/traces
openapi: 3.1.0
info:
  title: Evals API Documentation
  description: API documentation for the evaluation endpoints
  version: 1.0.0
servers:
  - url: https://platform.composo.ai
    description: Production server
security: []
paths:
  /api/v1/traces:
    get:
      tags:
        - Traces
      summary: List Traces Endpoint
      operationId: list_traces_endpoint_api_v1_traces_get
      parameters:
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 50
            title: Page Size
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter traces created at or after this datetime (ISO format)
            title: Start Date
          description: Filter traces created at or after this datetime (ISO format)
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter traces created at or before this datetime (ISO format)
            title: End Date
          description: Filter traces created at or before this datetime (ISO format)
        - name: min_score
          in: query
          required: false
          schema:
            anyOf:
              - type: number
                maximum: 1
                minimum: 0
              - type: 'null'
            description: Minimum score
            title: Min Score
          description: Minimum score
        - name: max_score
          in: query
          required: false
          schema:
            anyOf:
              - type: number
                maximum: 1
                minimum: 0
              - type: 'null'
            description: Maximum score
            title: Max Score
          description: Maximum score
        - name: criteria
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
              - type: 'null'
            description: Filter by criteria
            title: Criteria
          description: Filter by criteria
        - name: tag
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
              - type: 'null'
            description: Tag filters as key:value1,value2
            title: Tag
          description: Tag filters as key:value1,value2
        - name: exclude_fields
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
              - type: 'null'
            description: >-
              Response fields to drop per trace. Accepted: `trace`, `comments`,
              `evaluations.explanation`, `evaluations.sub_trace`,
              `evaluations.sources`. Unknown values are silently ignored.
            title: Exclude Fields
          description: >-
            Response fields to drop per trace. Accepted: `trace`, `comments`,
            `evaluations.explanation`, `evaluations.sub_trace`,
            `evaluations.sources`. Unknown values are silently ignored.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTracesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListTracesResponse:
      properties:
        traces:
          items:
            $ref: '#/components/schemas/TraceResponse'
          type: array
          title: Traces
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
      type: object
      required:
        - traces
        - next_page_token
      title: ListTracesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TraceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        tags:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Tags
        rating:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Rating
        trace:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Trace
        comments:
          items:
            $ref: '#/components/schemas/AttachCommentResponse'
          type: array
          title: Comments
        evaluations:
          items:
            $ref: '#/components/schemas/TraceEvaluation'
          type: array
          title: Evaluations
      type: object
      required:
        - id
        - created_at
        - tags
        - rating
        - trace
        - comments
        - evaluations
      title: TraceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AttachCommentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        trace_id:
          type: string
          format: uuid
          title: Trace Id
        comment:
          type: string
          title: Comment
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - trace_id
        - comment
        - created_at
      title: AttachCommentResponse
    TraceEvaluation:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        evaluator_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluator Name
        criteria:
          anyOf:
            - type: string
            - type: 'null'
          title: Criteria
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        explanation:
          anyOf:
            - type: string
            - type: 'null'
          title: Explanation
        sub_trace:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Sub Trace
        sources:
          anyOf:
            - items:
                $ref: '#/components/schemas/Source'
              type: array
            - type: 'null'
          title: Sources
        cached:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Cached
        c_cached_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: C Cached Tokens
      type: object
      required:
        - id
        - evaluator_name
        - score
        - explanation
        - sub_trace
      title: TraceEvaluation
    Source:
      properties:
        id:
          type: string
          title: Id
          description: Identifier of the source.
        type:
          type: string
          title: Type
          description: Type of the source.
      type: object
      required:
        - id
        - type
      title: Source

````